;==============================================================================
; Win版専用パート
;==============================================================================

;------------------------------------------------------------------------------
;-| ボタンリマップ（ボタンコンフィグ）|---------------------------------------- 第１部

[Remap]
x = x      ;Ｘボタンの入力判定を実際に押すボタンに割り当てる。
y = y      ;Ｙボタン　　　　　　　　　〃
z = z      ;Ｚボタン　　　　　　　　　〃
a = a      ;Ａボタン　　　　　　　　　〃
b = b      ;Ｂボタン　　　　　　　　　〃
c = c      ;Ｃボタン　　　　　　　　　〃
s = s      ;スタートボタン　　　　　　〃

;------------------------------------------------------------------------------
;-| デフォルト設定 |----------------------------------------------------------- 第２部

[Defaults]
command.time = 15  ;標準のコマンド入力受付時間。
                   ;各コマンドで省略している場合に有効。
                   ;このパラメータを消した場合、デフォルトは１フレームになる。
                   ;（　M.U.G.E.Nでの１フレーム　＝　１／６０秒　）

command.buffer.time = 1  ;標準のコマンド入力記憶時間。
                         ;入力した直後にコマンドを記憶し、
                         ;指を離してもコマンドが成功している状態を
                         ;ここで設定した時間の分維持する。
                         ;１〜３０フレームまでの間で設定可能。
                         ;デフォルトは１フレーム。

;============================================================================== 第３部
; コマンド定義パート（入力キーを設定する）
;==============================================================================

;------------------------------------------------------------------------------
;■書式の決まり■
;
; [Command]         ：入力コマンドを１個定義する。
; name = "***"      ：コマンド名を決める。大文字と小文字も区別される。
; command = ###     ：実際に入力するキーを組み合わせる。詳細は後述。
; time = &&&        ：入力受付時間を設定（オプション）。
; buffer.time = @@@ ：入力記憶時間を設定（オプション）。
;
; 小ネタでも説明している通り、登録が可能な数は最大『１２８個』まで。
;
;
;※『必須コマンド名』と書いてるコマンドは、システム側で処理してます。
;　コマンド名を変えたり、消してはいけません。キーの変更は出来ます。
;------------------------------------------------------------------------------
;■必要なアルファベットと記号■
;
; 上記の「command = ###」の『###』に該当する部分で、
; 組み合わせるキーとボタンを設定しなければならない。
;
; ※設定したキーやボタンはM.U.G.E.Nのオプションモードにある
;  「キーコンフィグ」にて設定したキーなどに対応しています。
;
; ★方向キー★（全て必ず大文字で）
;
; 　B 　：「後方」にキーを入れる（ Backward ）
; 　D 　：「下方」にキーを入れる（ Downward ）
; 　F 　：「前方」にキーを入れる（ Forward ）
; 　U 　：「上方」にキーを入れる（ Upward ）
;
; 　DB　：「後ろ斜め下」にキーを入れる（「D」と「B」が同時に入力された事を認識）
; 　UB　：「後ろ斜め上」にキーを入れる（「U」と「B」が同時に入力された事を認識）
; 　DF　：「前斜め下」にキーを入れる（「D」と「F」が同時に入力された事を認識）
; 　UF　：「前斜め上」にキーを入れる（「U」と「F」が同時に入力された事を認識）
;
; ★ボタン★（全て必ず小文字で）
;
; 　a 　：「Ａボタン」を押す
; 　b 　：「Ｂボタン」を押す
; 　c 　：「Ｃボタン」を押す
; 　x 　：「Ｘボタン」を押す
; 　y 　：「Ｙボタン」を押す
; 　z 　：「Ｚボタン」を押す
; 　s 　：「スタートボタン」を押す
;
; ★記号★（入力効果を変化させる命令）
;
; 　/ 　：（スラッシュ）キーやボタンを「押しっぱなし」にしている事を認識する場合に追加する
;
; 　　（例）：　/b       = Ｂボタンを押したままにする
; 　　　　　　　/F       = 前キーを押したままにする
; 　　　　　　　/U,z     = 上キーを押したままＺボタンを入力する
;
;　　━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
;
; 　~ 　：（チルダ）キーやボタンが「離された時」を認識する場合に追加する
;
; 　　（例）：　~x       = Ｘボタンを離す
; 　　　　　　　~DF      =「前斜め下」のキーを離す
; 　　　　　　　~DB,F,c  =「後ろ斜め下」を離した後に前キー・Ｃボタンの順番に入力する
;
; 　　　　　　※「ボタンを離すまでの時間（溜め時間）」も設定する事が出来る
;
; 　　　　　　　~30x     = Ｘボタンを押したままにして、３０フレーム以上経ったら離す
; 　　　　　　　~50B,F,a = 後ろキーを５０フレームまで溜めて前キー・Ａボタンの順番に入力する
;
;　　━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
;
; 　$ 　：（ドル）方向キーの「複数の内どれかが入力されている事」を認識する場合に追加する
;
; 　　（例）：　$B       =「後方」「後ろ斜め下」「後ろ斜め上」のどれかが入力されている状態
; 　　　　　　　$UF      =「前」「上」「前斜め上」のどれかが入力されている状態
;
; 　　　　　　※この記号は「方向キー」でしか使えません。
;
;　　━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
;
; 　+ 　：（プラス）ボタンを「同時押し」している事を認識する場合に追加する
;
; 　　（例）：　x+y      = ＸボタンとＹボタンを同時押しする
; 　　　　　　　a+b+c    = ＡボタンとＢボタンとＣボタンを同時押しする
;
; 　　　　　　※この記号は「ボタン」でしか使えません。
;
;　　━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
;
; 　> 　：（グレーターザン）大なり（Win版で追加された記号）
; 　　　　　　　　　　　　「他のキーが入力されていない事を確認して、そのキーを押す」場合
;
; 　　（例）：　a,>~a    = Ａボタン以外が入力されていない状態でＡボタンを離す
; 　　　　　　　F,>~F,>F = 前キー以外が入力されていない状態で前キーを離し、
;　　　　　　　　　　　　　もう一度前キーを入力する
;
;-------------------------------------------------------------------------------
; ●これらの記号は全て組み合わせて使う事が出来る●
;
; 　　（例）：　~80$DB,DF,F,/a+y+c
; 　　　　　　　
; 　　　　　　「後方」「下」「後ろ斜め下」のどれかを８０フレームまで溜めて
; 　　　　　　「前斜め下」→「前」を入力した後、ＡとＹとＣを同時押ししたままにする
;
;------------------------------------------------------------------------------

;------------------------------------------------------------------------------
;-| 必殺技 |-------------------------------------------------------------------

[Command]
name = "FF_ab"
command = F, F, a+b

[Command]
name = "FF_a"
command = F, F, a

[Command]
name = "FF_b"
command = F, F, b

[Command]
name = "d_f_c"
command = D, F, c

[Command]
name = "d_b_z"
command = D, B, z


[Command]
name = "d_f_z"
command = D, F, z

[Command]
name = "sweep"
command = F, F, c


[Command]
name = "mp"
command =  F, b

;------------------------------------------------------------------------------
;-| キー２回連続入力 |---------------------------------------------------------

[Command]
name = "FF"       ;必須コマンド名
command = F, F
time = 10

[Command]
name = "BB"       ;必須コマンド名
command = B, B
time = 10

;------------------------------------------------------------------------------
;-| 同時押し |-----------------------------------------------------------------

[Command]
name = "ab"
command = x;/a,b ;a+b
time = 1

[Command]
name = "ac"
command = a+c;/a+c;/a+c;/a,c ;a+c
time = 1

[Command]
name = "bc"
command = b+c
time = 1

[Command]
name = "recovery" ;必須コマンド名
command = a
time = 1

;------------------------------------------------------------------------------
;-| 方向キー＋ボタン |---------------------------------------------------------

[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1


[Command]
name = "flipkick"
command = B, ~c
time = 1
;------------------------------------------------------------------------------
;-| ボタン単発 |---------------------------------------------------------------

[Command]
name = "holda"
command = /a
time = 1

[Command]
name = "holdb"
command = /b
time = 1

[Command]
name = "holdc"
command = /c
time = 1

[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1





[Command]
name = "start"
command = s
time = 1



;------------------------------------------------------------------------------
;-| 方向キー |-----------------------------------------------------------------

[Command]
name = "holdfwd"   ;必須コマンド名
command = /$F
time = 1

[Command]
name = "holdback"  ;必須コマンド名
command = /$B
time = 1

[Command]
name = "holdup"    ;必須コマンド名
command = /$U
time = 1

[Command]
name = "holddown"  ;必須コマンド名
command = /$D
time = 1

[Command]
name = "holduf"
command = /$UF
time = 1

[Command]
name = "holdub"
command = /$UB
time = 1

[Command]
name = "holddf"
command = /$DF
time = 1

[Command]
name = "holddb"
command = /$DB
time = 1

[Command]
name = "holdfwd-"
command = ~F
time = 1


[Command]
name = "flip"
command = F, z
time = 1

;============================================================================== 第４部
; ステートエントリーパート
;==============================================================================

[Statedef -1] 

;==============================================================================
; 固有技
;==============================================================================

[State -1, サッカーボールキック]
type = ChangeState
value = 700
triggerall = command = "c"
triggerall = command = "holddf"
triggerall = p2statetype = L
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 10

[State -1, ハイジャンプニースタンプ]
type = ChangeState
value = 710
triggerall = command = "b"
triggerall = command = "holdup"
triggerall = p2statetype = L
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 40
trigger3 = stateno = 11
trigger4 = stateno = 12

[State -1, ミドルキック]
type = ChangeState
value = 301
triggerall = command = "c"
triggerall = command = "holddf"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 10

[State -1, サイドフックキック]
type = ChangeState
value = 309
triggerall = command = "ac"
triggerall = command = "holddb"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 10

[State -1, イリュージョンキック先行入力]
type = ChangeState
value = 302
triggerall = stateno = 301
triggerall = var(10) = 1
trigger1 = AnimElemTime(4) = 3




[State -1, ネックブリーカー]
type = ChangeState
value = 820
triggerall = statetype = S
triggerall = ctrl
triggerall = command = "FF_b"
triggerall = var(21) = 0
trigger1 = p2bodydist X < 24
trigger1 = p2statetype = S


[State -1, Roll ]
type = ChangeState
value = 850
triggerAll = command = "d_b_z"
triggerAll = RoundState = 2 && StateType != A
trigger1 = ctrl
trigger2 = var(20) && var(4)


[State -1, Roll Forward]
type = ChangeState
value = 855
triggerAll = command = "d_f_z"
triggerAll = RoundState = 2 && StateType != A
trigger1 = ctrl
trigger2 = var(20) && var(4)




[State -1, ライジングニー]
type = ChangeState
value = 314
trigger1 = command = "d_f_c"
trigger1 = statetype != A
trigger1 = ctrl

;------------------------------------------------------------------------------

[State -1, ライジングエルボー]
type = ChangeState
value = 213
triggerall = stateno = 202
trigger1 = command = "c"
trigger1 = statetype = S
trigger1 = ctrl

;------------------------------------------------------------------------------

[State -1, Crouching Medium Kick]
type = ChangeState
value = 320
triggerall = command = "sweep"
triggerall = RoundState = 2 && StateType != A
trigger1 = ctrl || StateNo = 40 || StateNo = 52 || (StateNo = [100,101])
trigger2 = var(5)
[State -1, パンチハイキック先行入力]
type = ChangeState
value = 325
triggerall = stateno = 320
triggerall = var(15) = 1
trigger1 = AnimElemTime(5) = 2
[State -1, パンチハイキックディレイ]
type = ChangeState
value = 325
triggerall = stateno = 320
triggerall = command = "c"
trigger1 = AnimElemTime(5) > 2



[State -1, FF_B]
type = ChangeState
value = 215
triggerall = command = "FF_b"
trigger1 = statetype = s
trigger1 = ctrl
trigger2 = (stateno = 215) && movecontact
;------------------------------------------------------------------------------



[State -1, サマーソルトキック]
type = ChangeState
value = 307
triggerall = command = "c"
triggerall = command = "holdub"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 40
trigger3 = stateno = 11
trigger4 = stateno = 12

[State -1, レッグスライサー]
type = ChangeState
value = 501
triggerall = command = "ac"
triggerall = command = "holddown"
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 10

;------------------------------------------------------------------------------


;------------------------------------------------------------------------------
;起き上がり
[State -1, 後転起き上がり]
type = ChangeState
value = 750
triggerall = stateno = 5120
triggerall = var(10) = 1
trigger1 = Time = 1

[State -1, 前転起き上がり]
type = ChangeState
value = 755
triggerall = stateno = 5120
triggerall = var(13) = 1
trigger1 = Time = 1

[State -1, ライジングバックキック]
type = ChangeState
value = 760
triggerall = stateno = 5120
triggerall = var(10) = 0
triggerall = var(11) = 1
trigger1 = Time = 1

[State -1, ローバックスピンキック]
type = ChangeState
value = 770
triggerall = stateno = 5120
triggerall = var(10) = 0
triggerall = var(12) = 1
trigger1 = Time = 1

[State -1, 前後転ライジングバックキック]
type = ChangeState
value = 765
triggerall = var(11) = 1
trigger1 = stateno = 750
trigger1 = AnimElemTime(6) = 3
trigger2 = stateno = 755
trigger2 = AnimElemTime(7) = 2

[State -1, 前後転ローバックスピンキック]
type = ChangeState
value = 775
triggerall = var(12) = 1
trigger1 = stateno = 750
trigger1 = AnimElemTime(6) = 3
trigger2 = stateno = 755
trigger2 = AnimElemTime(7) = 2

;==============================================================================
; 移動関連
;==============================================================================
;------------------------------------------------------------------------------

[State -1, 走る]
type = ChangeState
value = 100
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl

[State -1, バックステップ]
type = ChangeState
value = 105
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl

;==============================================================================
; 特殊技
;==============================================================================
[State -1, ストレート・リード]
type = ChangeState
value = 840
triggerall = command = "z"
trigger1 = statetype = S
trigger1 = ctrl



[State -1, ネックブリーカー]
type = ChangeState
value = 820
triggerall = statetype = S
triggerall = stateno != 825
trigger1 = p2bodydist X < 24
trigger1 = p2statetype = S
triggerall = ctrl
triggerall = command = "y"




[State -1, フロントスープレックス]
type = ChangeState
value = 800
triggerall = command = "ab"
triggerall = statetype = S
triggerall = ctrl
triggerall = var(21) = 0
trigger1 = p2bodydist X < 24
trigger1 = p2statetype = S

[State -1, フロントスープレックス]
type = ChangeState
value = 801
triggerall = command = "ab"
triggerall = statetype = C
triggerall = ctrl
triggerall = var(21) = 0
trigger1 = p2bodydist X < 24
trigger1 = p2statetype = S

;==============================================================================
; 通常攻撃技
;==============================================================================

[State -1, ストレート・リード]
type = ChangeState
value = 200
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl

[State -1, ジャブ、ストレート先行入力]
type = ChangeState
value = 201
triggerall = stateno = 200
triggerall = var(10) = 1
trigger1 = AnimElemTime(5) = 2
[State -1, ジャブ、ストレートディレイ]
type = ChangeState
value = 201
triggerall = stateno = 200
triggerall = command = "b"
trigger1 = AnimElemTime(5) > 2


[State -1, パンチハイキック先行入力]
type = ChangeState
value = 204
triggerall = stateno = 200
triggerall = var(11) = 1
trigger1 = AnimElemTime(5) = 2
[State -1, パンチハイキックディレイ]
type = ChangeState
value = 204
triggerall = stateno = 200
triggerall = command = "c"
trigger1 = AnimElemTime(5) > 2


[State -1, ニーキック]
type = ChangeState
value = 340
trigger1 = command = "c"
trigger1 = command = "holdfwd"
trigger1 = statetype = S
;trigger1 = statetype != A
trigger1 = ctrl



;------------------------------------------------------------------------------

[State -1, ヴァーティカル・フック・キック]
type = ChangeState
value = 300
triggerall = command = "c"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
[State -1, キャンセル]
type = ChangeState
value = 196
triggerall = command = "a"
trigger1 = stateno = 300
trigger1 = time < 10

[State -1, ハイキック・ストレート先行入力]
type = ChangeState
value = 310
triggerall = stateno = 300
triggerall = var(10) = 1
trigger1 = AnimElemTime(5) = 2
[State -1, ハイキック・ストレートディレイ]
type = ChangeState
value = 310
triggerall = stateno = 300
triggerall = command = "b"
trigger1 = AnimElemTime(5) > 2

;------------------------------------------------------------------------------

[State -1, スクァト・ストレート]
type = ChangeState
value = 400
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl

[State -1, ローキック]
type = ChangeState
value = 500
triggerall = command = "c"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
[State -1, キャンセル]
type = ChangeState
value = 197
triggerall = command = "a"
trigger1 = stateno = 500
trigger1 = time < 14

;------------------------------------------------------------------------------

[State -1, ジャンプキック]
type = ChangeState
value = 600
triggerall = command = "c"
triggerall = command = "holdup" || command = "holduf"
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = 40
trigger3 = stateno = 11
trigger4 = stateno = 12
;ジャンプキック/小ステップ方向変化
[State 200, 垂直]
type = varset
triggerall = Time = 1
triggerall = Command = "holdup"
triggerall = Command != "holduf"
triggerall = Command != "holdub" 
trigger1 = stateno = 600
v = 23
value = 0
[State 200, 前方]
type = varset
triggerall = Time = 1
triggerall = Command = "holduf" 
trigger1 = stateno = 600
v = 23
value = 1
[State 200, 後方（小ステップのみ）]
type = varset
triggerall = Time = 1
triggerall = Command = "holdub" 
trigger1 = stateno = 600
v = 23
value = 2

[State -1, ヒールキック]
type = ChangeState
value = 650
triggerall = command = "c"
trigger1 = statetype = A
trigger1 = ctrl

;------------------------------------------------------------------------------

[State -1, ガード]
type = ChangeState
value = 120
trigger1 = ctrl
trigger1 = command = "a"
trigger2 = command = "holda"
trigger2 = stateno = 52
trigger2 = Time = 1
trigger3 = ctrl
trigger3 = command = "holda"
trigger3 = command != "holdb"
trigger3 = command != "holdc"

;------------------------------------------------------------------------------

[State -1, しゃがみ歩き]
type = ChangeState
value = 22
triggerall = statetype = C
triggerall = ctrl
trigger1 = command = "holddf"
trigger2 = command = "holddb"

;------------------------------------------------------------------------------
;------------------------------------------------------------------------------
;------------------------------------------------------------------------------
